com.pivotal.gemfirexd.internal.client.net

## Interface ConnectionReplyInterface

All Known Implementing Classes:
  NetConnectionReply, NetPackageReply, NetResultSetReply, NetStatementReply, NetXAConnectionReply

    public interface ConnectionReplyInterface

### Method Summary

Methods
`void` `readCommitSubstitute(ConnectionCallbackInterface connection)`
`void` `readLocalCommit(ConnectionCallbackInterface connection)`
`void` `readLocalRollback(ConnectionCallbackInterface connection)`
`void` `readLocalXACommit(ConnectionCallbackInterface connection)`
`void` `readLocalXARollback(ConnectionCallbackInterface connection)`
`void` `readLocalXAStart(ConnectionCallbackInterface connection)`

### Method Detail

#### readCommitSubstitute

    void readCommitSubstitute(ConnectionCallbackInterface connection)
                              throws DisconnectException

Throws:
  `DisconnectException`

#### readLocalCommit

    void readLocalCommit(ConnectionCallbackInterface connection)
                         throws DisconnectException

Throws:
  `DisconnectException`

#### readLocalRollback

    void readLocalRollback(ConnectionCallbackInterface connection)
                           throws DisconnectException

Throws:
  `DisconnectException`

#### readLocalXAStart

    void readLocalXAStart(ConnectionCallbackInterface connection)
                          throws DisconnectException

Throws:
  `DisconnectException`

#### readLocalXACommit

    void readLocalXACommit(ConnectionCallbackInterface connection)
                           throws DisconnectException

Throws:
  `DisconnectException`

#### readLocalXARollback

    void readLocalXARollback(ConnectionCallbackInterface connection)
                             throws DisconnectException

Throws:
  `DisconnectException`